#ifndef VRMLREADER_H
#define VRMLREADER_H

#include <string.h>

#include "Reader.h"
#include "GraphNode.h"
#include "VRMLReaderInternals.h"


namespace nsReader {

class VRMLReader : public Reader
{
	public:
		VRMLReader(void);
		~VRMLReader(void);

		nsSceneGraph::GraphNode *readFile(const char *filename);
};

}

#endif
